Loading...
Searching...
No Matches
lacpy: Copy matrix
Dense LA » MAGMA BLAS and Auxiliary » Level 2: matrix-vector operations, O(n^2) work

\(B = A\) More...

## Functions

void | magmablas_clacpy (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magmaFloatComplex_const_ptr dA, magma_int_t ldda, magmaFloatComplex_ptr dB, magma_int_t lddb, magma_queue_t queue)
| CLACPY copies all or part of a two-dimensional matrix dA to another matrix dB.
void | magmablas_clacpy_sym_in (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magma_int_t *rows, magma_int_t *perm, magmaFloatComplex_const_ptr dA, magma_int_t ldda, magmaFloatComplex_ptr dB, magma_int_t lddb, magma_queue_t queue)
| CLACPY_SYM_IN copies all or part of a two-dimensional matrix dA to another matrix dB.
void | magmablas_clacpy_sym_out (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magma_int_t *rows, magma_int_t *perm, magmaFloatComplex_const_ptr dA, magma_int_t ldda, magmaFloatComplex_ptr dB, magma_int_t lddb, magma_queue_t queue)
| CLACPY_SYM_OUT copies all or part of a two-dimensional matrix dA to another matrix dB.
void | magmablas_dlacpy (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magmaDouble_const_ptr dA, magma_int_t ldda, magmaDouble_ptr dB, magma_int_t lddb, magma_queue_t queue)
| DLACPY copies all or part of a two-dimensional matrix dA to another matrix dB.
void | magmablas_dlacpy_sym_in (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magma_int_t *rows, magma_int_t *perm, magmaDouble_const_ptr dA, magma_int_t ldda, magmaDouble_ptr dB, magma_int_t lddb, magma_queue_t queue)
| DLACPY_SYM_IN copies all or part of a two-dimensional matrix dA to another matrix dB.
void | magmablas_dlacpy_sym_out (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magma_int_t *rows, magma_int_t *perm, magmaDouble_const_ptr dA, magma_int_t ldda, magmaDouble_ptr dB, magma_int_t lddb, magma_queue_t queue)
| DLACPY_SYM_OUT copies all or part of a two-dimensional matrix dA to another matrix dB.
void | magmablas_slacpy (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magmaFloat_const_ptr dA, magma_int_t ldda, magmaFloat_ptr dB, magma_int_t lddb, magma_queue_t queue)
| SLACPY copies all or part of a two-dimensional matrix dA to another matrix dB.
void | magmablas_slacpy_sym_in (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magma_int_t *rows, magma_int_t *perm, magmaFloat_const_ptr dA, magma_int_t ldda, magmaFloat_ptr dB, magma_int_t lddb, magma_queue_t queue)
| SLACPY_SYM_IN copies all or part of a two-dimensional matrix dA to another matrix dB.
void | magmablas_slacpy_sym_out (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magma_int_t *rows, magma_int_t *perm, magmaFloat_const_ptr dA, magma_int_t ldda, magmaFloat_ptr dB, magma_int_t lddb, magma_queue_t queue)
| SLACPY_SYM_OUT copies all or part of a two-dimensional matrix dA to another matrix dB.
void | magmablas_zlacpy (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magmaDoubleComplex_const_ptr dA, magma_int_t ldda, magmaDoubleComplex_ptr dB, magma_int_t lddb, magma_queue_t queue)
| ZLACPY copies all or part of a two-dimensional matrix dA to another matrix dB.
void | magmablas_zlacpy_sym_in (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magma_int_t *rows, magma_int_t *perm, magmaDoubleComplex_const_ptr dA, magma_int_t ldda, magmaDoubleComplex_ptr dB, magma_int_t lddb, magma_queue_t queue)
| ZLACPY_SYM_IN copies all or part of a two-dimensional matrix dA to another matrix dB.
void | magmablas_zlacpy_sym_out (magma_uplo_t uplo, magma_int_t m, magma_int_t n, magma_int_t *rows, magma_int_t *perm, magmaDoubleComplex_const_ptr dA, magma_int_t ldda, magmaDoubleComplex_ptr dB, magma_int_t lddb, magma_queue_t queue)
| ZLACPY_SYM_OUT copies all or part of a two-dimensional matrix dA to another matrix dB.

## Detailed Description

\(B = A\)

## Function Documentation

## magmablas_clacpy()

void magmablas_clacpy | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloatComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloatComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

CLACPY copies all or part of a two-dimensional matrix dA to another matrix dB.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be copied to dB.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | dA | COMPLEX array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [out] | dB | COMPLEX array, dimension (LDDB,N) The M-by-N matrix dB. On exit, dB = dA in the locations specified by UPLO.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_clacpy_sym_in()

void magmablas_clacpy_sym_in | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t * | rows,
|  | magma_int_t * | perm,
|  | magmaFloatComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloatComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

CLACPY_SYM_IN copies all or part of a two-dimensional matrix dA to another matrix dB.

This is the same as CLACPY, but adds queue argument.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be copied to dB.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of rows that are swapped. N >= 0.
  [in] | rows | INTEGER array, on GPU, dimension (2*n) On entry, it stores the new pivots such that rows[i]-th and rows[n+i]-th rows are swapped.
  [in,out] | perm | INTEGER array, on GPU, dimension (m) On entry, it stores the identity permutation array. On exit, it is updated with the new pivots given by rows such that i-th row will be the original perm[i]-th row after the pivots are applied.
  [in] | dA | COMPLEX array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [out] | dB | COMPLEX array, dimension (LDDB,N) On exit, dB = stores the columns after the pivots are applied.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_clacpy_sym_out()

void magmablas_clacpy_sym_out | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t * | rows,
|  | magma_int_t * | perm,
|  | magmaFloatComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloatComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

CLACPY_SYM_OUT copies all or part of a two-dimensional matrix dA to another matrix dB.

This is the same as CLACPY, but adds queue argument.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be copied to dB.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | rows | INTEGER array, on GPU, dimension (2*n) On entry, it stores the new pivots such that rows[i]-th and rows[n+i]-th rows are swapped.
  [in,out] | perm | INTEGER array, on GPU, dimension (m) On entry, it stores the permutation array such that i-th row will be the original perm[i]-th row after the pivots are applied. On exit, it is restored to be identity permutation.
  [in,out] | dA | COMPLEX array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed. On exit, the matrix after the symmetric pivoting is applied.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | dB | COMPLEX array, dimension (LDDB,N) The M-by-N matrix dB. On entry, dB stores the columns after row pivoting is applied.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_dlacpy()

void magmablas_dlacpy | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDouble_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDouble_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

DLACPY copies all or part of a two-dimensional matrix dA to another matrix dB.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be copied to dB.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | dA | DOUBLE PRECISION array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [out] | dB | DOUBLE PRECISION array, dimension (LDDB,N) The M-by-N matrix dB. On exit, dB = dA in the locations specified by UPLO.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_dlacpy_sym_in()

void magmablas_dlacpy_sym_in | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t * | rows,
|  | magma_int_t * | perm,
|  | magmaDouble_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDouble_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

DLACPY_SYM_IN copies all or part of a two-dimensional matrix dA to another matrix dB.

This is the same as DLACPY, but adds queue argument.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be copied to dB.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of rows that are swapped. N >= 0.
  [in] | rows | INTEGER array, on GPU, dimension (2*n) On entry, it stores the new pivots such that rows[i]-th and rows[n+i]-th rows are swapped.
  [in,out] | perm | INTEGER array, on GPU, dimension (m) On entry, it stores the identity permutation array. On exit, it is updated with the new pivots given by rows such that i-th row will be the original perm[i]-th row after the pivots are applied.
  [in] | dA | DOUBLE PRECISION array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [out] | dB | DOUBLE PRECISION array, dimension (LDDB,N) On exit, dB = stores the columns after the pivots are applied.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_dlacpy_sym_out()

void magmablas_dlacpy_sym_out | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t * | rows,
|  | magma_int_t * | perm,
|  | magmaDouble_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDouble_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

DLACPY_SYM_OUT copies all or part of a two-dimensional matrix dA to another matrix dB.

This is the same as DLACPY, but adds queue argument.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be copied to dB.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | rows | INTEGER array, on GPU, dimension (2*n) On entry, it stores the new pivots such that rows[i]-th and rows[n+i]-th rows are swapped.
  [in,out] | perm | INTEGER array, on GPU, dimension (m) On entry, it stores the permutation array such that i-th row will be the original perm[i]-th row after the pivots are applied. On exit, it is restored to be identity permutation.
  [in,out] | dA | DOUBLE PRECISION array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed. On exit, the matrix after the symmetric pivoting is applied.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | dB | DOUBLE PRECISION array, dimension (LDDB,N) The M-by-N matrix dB. On entry, dB stores the columns after row pivoting is applied.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_slacpy()

void magmablas_slacpy | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaFloat_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloat_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

SLACPY copies all or part of a two-dimensional matrix dA to another matrix dB.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be copied to dB.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | dA | REAL array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [out] | dB | REAL array, dimension (LDDB,N) The M-by-N matrix dB. On exit, dB = dA in the locations specified by UPLO.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_slacpy_sym_in()

void magmablas_slacpy_sym_in | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t * | rows,
|  | magma_int_t * | perm,
|  | magmaFloat_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloat_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

SLACPY_SYM_IN copies all or part of a two-dimensional matrix dA to another matrix dB.

This is the same as SLACPY, but adds queue argument.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be copied to dB.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of rows that are swapped. N >= 0.
  [in] | rows | INTEGER array, on GPU, dimension (2*n) On entry, it stores the new pivots such that rows[i]-th and rows[n+i]-th rows are swapped.
  [in,out] | perm | INTEGER array, on GPU, dimension (m) On entry, it stores the identity permutation array. On exit, it is updated with the new pivots given by rows such that i-th row will be the original perm[i]-th row after the pivots are applied.
  [in] | dA | REAL array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [out] | dB | REAL array, dimension (LDDB,N) On exit, dB = stores the columns after the pivots are applied.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_slacpy_sym_out()

void magmablas_slacpy_sym_out | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t * | rows,
|  | magma_int_t * | perm,
|  | magmaFloat_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaFloat_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

SLACPY_SYM_OUT copies all or part of a two-dimensional matrix dA to another matrix dB.

This is the same as SLACPY, but adds queue argument.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be copied to dB.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | rows | INTEGER array, on GPU, dimension (2*n) On entry, it stores the new pivots such that rows[i]-th and rows[n+i]-th rows are swapped.
  [in,out] | perm | INTEGER array, on GPU, dimension (m) On entry, it stores the permutation array such that i-th row will be the original perm[i]-th row after the pivots are applied. On exit, it is restored to be identity permutation.
  [in,out] | dA | REAL array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed. On exit, the matrix after the symmetric pivoting is applied.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | dB | REAL array, dimension (LDDB,N) The M-by-N matrix dB. On entry, dB stores the columns after row pivoting is applied.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_zlacpy()

void magmablas_zlacpy | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magmaDoubleComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDoubleComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

ZLACPY copies all or part of a two-dimensional matrix dA to another matrix dB.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be copied to dB.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | dA | COMPLEX_16 array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [out] | dB | COMPLEX_16 array, dimension (LDDB,N) The M-by-N matrix dB. On exit, dB = dA in the locations specified by UPLO.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_zlacpy_sym_in()

void magmablas_zlacpy_sym_in | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t * | rows,
|  | magma_int_t * | perm,
|  | magmaDoubleComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDoubleComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

ZLACPY_SYM_IN copies all or part of a two-dimensional matrix dA to another matrix dB.

This is the same as ZLACPY, but adds queue argument.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be copied to dB.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of rows that are swapped. N >= 0.
  [in] | rows | INTEGER array, on GPU, dimension (2*n) On entry, it stores the new pivots such that rows[i]-th and rows[n+i]-th rows are swapped.
  [in,out] | perm | INTEGER array, on GPU, dimension (m) On entry, it stores the identity permutation array. On exit, it is updated with the new pivots given by rows such that i-th row will be the original perm[i]-th row after the pivots are applied.
  [in] | dA | COMPLEX_16 array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [out] | dB | COMPLEX_16 array, dimension (LDDB,N) On exit, dB = stores the columns after the pivots are applied.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.

## magmablas_zlacpy_sym_out()

void magmablas_zlacpy_sym_out | ( | magma_uplo_t | uplo,
|  | magma_int_t | m,
|  | magma_int_t | n,
|  | magma_int_t * | rows,
|  | magma_int_t * | perm,
|  | magmaDoubleComplex_const_ptr | dA,
|  | magma_int_t | ldda,
|  | magmaDoubleComplex_ptr | dB,
|  | magma_int_t | lddb,
|  | magma_queue_t | queue )

ZLACPY_SYM_OUT copies all or part of a two-dimensional matrix dA to another matrix dB.

This is the same as ZLACPY, but adds queue argument.

Parameters

  [in]

  uplo

  magma_uplo_t Specifies the part of the matrix dA to be copied to dB.
  - = MagmaUpper: Upper triangular part
  - = MagmaLower: Lower triangular part
  - = MagmaFull: All of the matrix dA

  [in] | m | INTEGER The number of rows of the matrix dA. M >= 0.
  [in] | n | INTEGER The number of columns of the matrix dA. N >= 0.
  [in] | rows | INTEGER array, on GPU, dimension (2*n) On entry, it stores the new pivots such that rows[i]-th and rows[n+i]-th rows are swapped.
  [in,out] | perm | INTEGER array, on GPU, dimension (m) On entry, it stores the permutation array such that i-th row will be the original perm[i]-th row after the pivots are applied. On exit, it is restored to be identity permutation.
  [in,out] | dA | COMPLEX_16 array, dimension (LDDA,N) The M-by-N matrix dA. If UPLO = MagmaUpper, only the upper triangle or trapezoid is accessed; if UPLO = MagmaLower, only the lower triangle or trapezoid is accessed. On exit, the matrix after the symmetric pivoting is applied.
  [in] | ldda | INTEGER The leading dimension of the array dA. LDDA >= max(1,M).
  [in] | dB | COMPLEX_16 array, dimension (LDDB,N) The M-by-N matrix dB. On entry, dB stores the columns after row pivoting is applied.
  [in] | lddb | INTEGER The leading dimension of the array dB. LDDB >= max(1,M).
  [in] | queue | magma_queue_t Queue to execute in.